# Created by pyp2rpm-3.3.8
%global pypi_name pulp-container-client
%global pypi_version 2.14.1
%global python3_pkgversion 3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.4%{?dist}
Summary:        Pulp 3 API

License:        GPLv2+
URL:            https://pulpproject.org/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pulp_container-client-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.10
BuildRequires:  python3dist(urllib3) >= 1.15

%description
 Fetch, Upload, Organize, and Distribute Software Packages noqa: E501

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(certifi)
Requires:       python3dist(python-dateutil)
Requires:       python3dist(six) >= 1.10
Requires:       python3dist(urllib3) >= 1.15
%description -n python3-%{pypi_name}
 Fetch, Upload, Organize, and Distribute Software Packages noqa: E501


%prep
%autosetup -n pulp_container-client-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%exclude %{python3_sitelib}/pulpcore/__pycache__/*
%exclude %{python3_sitelib}/pulpcore/__init__.py
%exclude %{python3_sitelib}/pulpcore/client/__pycache__/*
%exclude %{python3_sitelib}/pulpcore/client/__init__.py
%{python3_sitelib}/pulpcore
%{python3_sitelib}/pulp_container_client-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 20 2022 Sebastian Skracic <sskracic@redhat.com> - 2.14.1-1
- Fetching the new release from pypi.

* Wed Sep 22 2021 Sebastian Skracic <sskracic@redhat.com> - 2.7.1-1
- Initial package.
